Bug 483923 - "setsebool -P samba_enable_home_dirs=1" fails
"setsebool -P samba_enable_home_dirs=1" fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-04 04:10 EST by morgan read
Modified: 2009-11-18 06:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 06:22:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
setroubleshoot alert for above (2.63 KB, text/plain)
2009-02-04 04:10 EST, morgan read
no flags Details

  None (edit)
Description morgan read 2009-02-04 04:10:49 EST
Created attachment 330839 [details]
setroubleshoot alert for above

Description of problem:
Issued "setsebool -P samba_enable_home_dirs=1" dozens of times, still getting still getting selinux_alerts as attached

Maybe wrong package - adjust as necessary

Version-Release number of selected component (if applicable):
$ rpm -q --whatprovides setsebool
no package provides setsebool
$ rpm -q setools
package setools is not installed

Give up...

How reproducible:
Seems consistent fail

Steps to Reproduce:
1. Share home directories via samba
2. Get attached setroubleshoot selinux_alerts
3. "Issue setsebool -P samba_enable_home_dirs=1" command
  
Actual results:
Alerts

Expected results:
No alerts

Additional info:
Attached selinux_alert care of setroubleshoot
Comment 1 Chris PeBenito 2009-02-04 08:08:45 EST
This is not setools, this is a policy issue.
Comment 2 Daniel Walsh 2009-02-04 11:04:54 EST
You have a labeling problem in your homedir, caused by not having this boolean set and running in permissive mode.

restorecon -R -v /home 

Should fix the problem.
Comment 3 morgan read 2009-02-07 17:58:57 EST
OK, but I can't see selecting "permissive mode" and then having the above problem is not a bug?  Selecting "permissive mode" is a normal/usual function available via system-config-selinux.py and the least it should do for this not to be a bug is throw up a warning that the above command needs to be executed (if not executing the command itself).

Further, it caused this bug https://bugzilla.redhat.com/show_bug.cgi?id=483917, which is perhaps not a bug if this is a bug...  (Or, perhaps it's a bug if this isn't.)

So, I've reopened.
Comment 4 Daniel Walsh 2009-02-09 09:49:54 EST
The reason you were able to create the file in the homedir is because you were in permissive mode.  SELinux policy does not know the difference, the kernel reports the error to you and the system creates the file.  But now that I think about it, this is a bug in policy.

policy should still do the transitions outside of the booleans, so the file context is maintained.

Miroslav can you look through the policy and check out anywhere these is a file transition rule within a boolean. Then move it outside.
Comment 5 Daniel Walsh 2009-02-09 09:55:13 EST
Effects at least
Samba, nfs, ftp
Comment 6 Miroslav Grepl 2009-02-12 10:05:40 EST
Fixed in selinux-policy-3.5.13-45.fc10
Comment 7 Bug Zapper 2009-11-18 05:59:04 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.